Subject: Re: bug#62875: 28.2; Crash on MacOS/M1 with treesitter enabled

From: Eli Zaretskii <[email-masked]>
Date: Sat, 22 Apr 2023 10:24:48 +0300

> From: Yuan Fu <[email-masked]>
> Date: Fri, 21 Apr 2023 13:40:24 -0700
> Cc: [email-masked],
>  Ruijie Yu <[email-masked]>,
>  [email-masked],
>  Eli Zaretskii <[email-masked]>,
>  [email-masked]
> 
> Drew Moseley <[email-masked]> writes:
> 
> >> Could you share the backtrace/crash log you mentioned earlier? That’ll help us determine what was going on.
> >>
> >> Yuan
> >
> > Sure. Here you go. Let me know if I can do anything else to help here.
> >
> > Drew
> 
> Thanks, to be honest I can’t really tell what’s going on
> (JavaScriptCore??), but I’m sure someone does. CC’ing Alan and Eli. I
> hope you are not terribly busy right now.

I don't see how this could be related to tree-sitter at all.  There's
nothing tree-sitter related in the backtrace; the crash happens when
Emacs simply waits for input in read_char.

It's some macOS specific issue with the way we integrate into the NS
window-system, not related to tree-sitter, at least not on our code
level.  It could be some incompatibility between the tree-sitter
binary used and the version of macOS or the hardware used to run
Emacs, or something like that.